%define		kdeappsver	21.08.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kldap
Summary:	LDAP access API for KDE
Name:		ka5-%{kaname}
Version:	21.08.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	be88d52896dc01abc7db2c31d459e1ad
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Keychain-devel >= 0.12.0
BuildRequires:	Qt5Test-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	cyrus-sasl-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcalendarcore-devel >= %{kframever}
BuildRequires:	kf5-kcompletion-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kldap - an LDAP access API for KDE.

%description -l pl.UTF-8
kldap - API do dostępu do usług LDAP dla KDE.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{ko,sr}
%find_lang %{kaname}_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}_qt.lang
%defattr(644,root,root,755)
%ghost %{_libdir}/libKF5Ldap.so.5
%attr(755,root,root) %{_libdir}/libKF5Ldap.so.5.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/ldap.so
%{_datadir}/qlogging-categories5/kldap.categories
%{_datadir}/qlogging-categories5/kldap.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KLDAP
%{_includedir}/KF5/kldap_version.h
%{_libdir}/cmake/KF5Ldap
%{_libdir}/libKF5Ldap.so
%{_libdir}/qt5/mkspecs/modules/qt_Ldap.pri
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kldap.git;a=log;h=master

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 40e0229
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fee2c0e
- updated to 21.08.0

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 465e6f8
- updated to 21.04.3

* Tue Jul 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b51d868
- pl desc

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6ad1497
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ee7be80
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 42c6e4c
- updated to 21.04.0

* Sat Apr 03 2021 Jan Rękorajski <baggins@pld-linux.org> 190581f
- release 2 (by relup.sh)

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> de2eb16
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b156a6d
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 00fb901
- updated to 18.12.1

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 0f8f646
- updated to 18.12.0

